Mailinglist Archive: opensuse-packaging (98 mails)

< Previous Next >
Re: [opensuse-packaging] New ncurses version in STABLE, now with thread safe support
  • From: Richard Guenther <rguenther@xxxxxxx>
  • Date: Thu, 14 Aug 2008 14:38:23 +0200 (CEST)
  • Message-id: <alpine.LNX.1.10.0808141437150.3427@xxxxxxxxxxxxxx>
On Wed, 13 Aug 2008, Dr. Werner Fink wrote:

Hi,

just submitted a new ncurses version 5.6 pachlevel 20080405
to factory. Please note that beside the normal libncurses
5.6 we now have libncurses 6.0. The later has two versions
one is thread safe and one is thread safe combined with
wide character support. This together with the libncurses
5.6 and ts normal and wide characters support requires
*FOUR* different header files.

To be noted: do *never* use wrong headers with any from
the libraries above as this are binary incomaptible.

To use the normal vesion you may link simply with the value
returned from

ncurses5-config --libs

e.g. `-L/usr/lib -lncurses', this uses libncurses.so.5.6.
Remark: the command `ncurses5-config --cflags' returns
nothing as the headers of libncurses.so.5.6 are found
in the standard include path.

For the version with wide character support the value
returned from

ncursesw5-config --cflags
ncursesw5-config --libs

have to be used for compiling and and linkage, which use
then libncursesw.so.5.6 then.

For the new thread support, the new ABI 6 has to be used
which is automatically returned from

ncursest6-config --cflags
ncursest6-config --libs

to be used for compiling and and linkage, which use
then libncursest.so.6.0 then.

Last but not least for new thread support combined with
wide character support also the new ABI 6 has to be used
which is automatically returned from

ncursestw6-config --cflags
ncursestw6-config --libs

to be used for compiling and and linkage, which use then
the libncursestw.so.6.0.

For more informations you may read

/usr/share/doc/packages/ncurses/README.devel

for further informations.

Shouldn't the shared libraries be split into separate packages
and not simply grouped by .so.6.0 and .so.5.0?

Thanks,
Richard.
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References